package cn.com.tenlion.materialstore.pojo.vos.materialvideo;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialVideoVO
 * @Description: 视频素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:07:46
 * @Version: 3.0
 **/
@ApiModel
public class MaterialVideoVO {

    @ApiModelProperty(name = "materialVideoFileId", value = "视频文件ID")
    private String materialVideoFileId;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;

    public String getMaterialVideoFileId() {
        return materialVideoFileId == null ? "" : materialVideoFileId.trim();
    }

    public void setMaterialVideoFileId(String materialVideoFileId) {
        this.materialVideoFileId = materialVideoFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
